SimpleModuleCreator (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.module.SimpleModuleCreator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.module
Class SimpleModuleCreator

    java.lang.Object
      com.meyling.principia.module.SimpleModuleCreator

public final class SimpleModuleCreator
extends Object

This class provides static methods for reading and writing an `Argument` of the module package.

Version:
  $Revision: 1.5 $
Author:
  Michael Meyling

Constructor Summary
`SimpleModuleCreator()`

Method Summary
`static Map` | `getMap()` Get the mapping of Strings to operator classes.
`static String` | `getName(Class c)` Get name of known operator class.
`static Argument` | `readArgument(TextInput input, ParsingTable parsing)` Create an `Argument` out of an `TextInput` object.
`static String` | `writeArgument(Argument argument)` Write an `Argument` to an `String`.
`static void` | `writeArgument(Output output, Argument argument)` Write an `Argument` to an `Output` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleModuleCreator

    public SimpleModuleCreator()

Method Detail

### getMap

    public static final Map getMap()

  Get the mapping of Strings to operator classes. The returned Map should not be modified.

  Returns:
    mapping of known Strings, do not change contents of this Map

### getName

    public static final String getName(Class c)
                                throws IllegalArgumentException

  Get name of known operator class.

  Parameters:
    `c` - look for name of this class
  Returns:
    name of operator class
  Throws:
    `IllegalArgumentException` - if operator class `c` is unknown

### readArgument

    public static final Argument readArgument(TextInput input,
                                              ParsingTable parsing)
                                       throws ParsingException

  Create an `Argument` out of an `TextInput` object.

  Parameters:
    `input` - source to read from
    `parsing` - maps `Argument`s into `Position`s
  Returns:
    new generated Argument
  Throws:
    `ParsingException` - if creation failed

### writeArgument

    public static final void writeArgument(Output output,
                                           Argument argument)
                                    throws IllegalArgumentException

  Write an `Argument` to an `Output` object.

  Parameters:
    `output` - destination to write to
    `argument` - this object will be written
  Throws:
    `IllegalArgumentException` - if writing failed

### writeArgument

    public static final String writeArgument(Argument argument)
                                      throws IllegalArgumentException

  Write an `Argument` to an `String`.

  Parameters:
    `argument` - this object will be written
  Returns:
    created string
  Throws:
    `IllegalArgumentException` - if writing failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.